Kerbal Space Program - Bug #5193

DockingPortFacing Design Concern throws NullReferenceException with radial docking ports as root
part

07/01/2015 02:04 AM - jkortech

Status: Closed Start date: 07/01/2015
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.04 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

When using a radial docking port as a root part, the DockingPortFacing concern on the Engineer's Report throws a
NullReferenceException every time a part is added or removed if the docking port is still the root part.

Tested with: Inline Clamp-o-Tron, Mk2 Inline Docking Port

4 Screenshots and output_log.txt attached.

History

#2 - 10/05/2015 02:58 AM - Squelch
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#4 - 07/17/2016 09:38 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#5 - 08/10/2016 08:15 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
